# $Revision: 1.11 $, $Date: 2008-02-10 12:19:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Key
Summary:	Sort::Key - interface to sort arrays by one or manipulate calculated keys
Summary(pl.UTF-8):	Sort::Key - interfejs do szybkiego sortowania tablic według zmiennych kluczy
Name:		perl-Sort-Key
Version:	1.28
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sort/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ec9d003d68784a5643815c65124aad18
URL:		http://search.cpan.org/dist/Sort-Key/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort arrays by one or multiple calculated keys.

%description -l pl.UTF-8
Sortowanie tablic po jednym lub wielu wyliczanych kluczach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/Sort/*.pm
%dir %{perl_vendorarch}/Sort
%dir %{perl_vendorarch}/Sort/Key
%{perl_vendorarch}/Sort/Key/*
%dir %{perl_vendorarch}/auto/Sort
%dir %{perl_vendorarch}/auto/Sort/Key
%{perl_vendorarch}/auto/Sort/Key/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sort/Key/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sort-Key.spec,v $
Revision 1.11  2008-02-10 12:19:14  arekm
- rel 3

Revision 1.10  2008-01-14 21:01:49  glen
- missing dirs; rel 2

Revision 1.9  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2008-01-03 13:31:11  qboosh
- generic URL

Revision 1.7  2007-12-31 00:25:54  zbyniu
- up to 1.28

Revision 1.6  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2006/10/23 21:22:53  ankry
- ver. 1.26

Revision 1.3  2006/05/21 18:20:26  blaass
- up to 1.25

Revision 1.2  2006/05/18 21:02:43  qboosh
- pl desc, files fixes

Revision 1.1  2006/05/17 09:19:47  blaass
- ver 1
